Subject: Re: bug#641: format-time-string %Z does not work, starting with Emacs 22.2

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Aug 2008 06:22:10 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Tue, 5 Aug 2008 16:54:32 -0700
> 
> You intentionally broke existing code

Code that didn't expect "" from %Z was already broken.

> and reduced the utility of the function

Please complain to Microsoft: if they modify `tzname' to be compliant,
the previous code can be reinstated.

> Not only does it break my existing code, but I don't see any way now to get a
> timezone name (on Windows) even by changing the code. Can you tell me how to do
> that?

I'd use %z.

> > "Pacific Daylight Time" is not a Posix- or RFC-822 compliant timezone
> > specification.
> 
> So? What requires `format-time-string' to use only Posix- or RFC-822 specs?

I explained that in my message.

> AFAICT, the functionality and usefulness has been reduced.

I understood your opinion the first time, no need to repeat it over
and over again.

> If you absolutely need a Posix-compliant spec for some use (e.g. mail), why
> don't you add a new one - %P

%Z is already a Posix format.

> Are you really convinced this is TRT?

Yes.